/*

    File: ringtone.frag

    Copyright (C) 2000-2009 Christopher Moore (christopher.e.moore@gmail.com)
	  
    This software is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.
  
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
  
    You should have received a copy of the GNU General Public License along
    with this program; if not, write the Free Software Foundation, Inc., 51
    Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

*/
varying vec3 normal;
varying vec4 color;
varying vec3 lightDir;	//not really varying, is it? depends how its stored in the vertex program - via world or model space

void main() {
	float alpha = color.x;
	float exponent = color.y;
	float inv_alpha_sub_one = 1.0 / (alpha - 1.0);
	vec3 n = normalize(normal);
	float n_l = dot(lightDir,n);		//[0,pi]->[1,0]
	n_l = alpha - n_l;
	n_l = abs(n_l * inv_alpha_sub_one);
	n_l = pow(n_l, exponent);
	n_l = 1.0 - n_l;
	float lum = max(n_l,0.0);
	gl_FragColor = vec4(lum,lum,lum,1);
}